Skip to content

Ask a question

Questions

An author can ask a question in a category, providing the title and content. A question asked by an author is always open, meaning the original author and other authors can reply to it. Authors can also like (& unlike!) a question and individual replies to the question. Authors can also optionally add public tags when asking a question. Authors can optionally ask a question with a poll. A poll consists of a title and options. Existing authors can vote on the poll attached to the question. Moderators can optionally ask a question as closed, which means that only moderators can reply to it. Moderators can also optionally ask a question as sticky, which highlights the question at the top of the category on the community.

POST
/questions/ask

Parameters

Query Parameters

authorId*

The ID of the author of the question

Type
string
Required

Request Body

application/json
JSON
{
  
"title": "I have a question",
  
"content": "Can anyone help me?",
  
"categoryId": 31,
  
"poll": {
  
  
"title": "Which option sounds better?",
  
  
"options": [
  
  
  
[
  
  
  
  
"Option A",
  
  
  
  
"Option B",
  
  
  
  
"Other"
  
  
  
]
  
  
]
  
},
  
"tags": [
  
  
[
  
  
  
"question",
  
  
  
"urgent"
  
  
]
  
],
  
"sticky": false,
  
"closed": false,
  
"moderatorTags": [
  
  
[
  
  
  
"highlighted"
  
  
]
  
]
}

Responses

Question asked

application/json
JSON
{
  
"id": "string",
  
"publicId": "string"
}

Samples

Gainsight CC Developer Portal